## ros-noetic-imu-pipeline 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(imu_pipeline)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-imu-pipeline (0.3.1-1focal) focal; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 22 Nov 2022 05:00:00 -0000

ros-noetic-imu-pipeline (0.3.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning.
  * Updated to package.xml format 2.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 04 Jun 2020 04:00:00 -0000

ros-noetic-imu-pipeline (0.2.3-1focal) focal; urgency=high

  * Updated maintainers.
  * Contributors: Tony Baltovski

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 30 Jan 2019 05:00:00 -0000

ros-noetic-imu-pipeline (0.2.2-1focal) focal; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 25 Jan 2017 05:00:00 -0000

ros-noetic-imu-pipeline (0.2.1-1focal) focal; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-noetic-imu-pipeline (0.2.0-1focal) focal; urgency=high

  * Remove Chad as a maintainer
  * Refactor imu_pipeline into a metapackage
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-noetic-imu-pipeline (0.1.3-1focal) focal; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 30 Mar 2014 04:00:00 -0000

ros-noetic-imu-pipeline (0.1.1-1focal) focal; urgency=high

  * Added tool to null out gyro bias based on cmd_vel or odom.
  * Merge branch 'hydro-devel' of https://github.com/ros-perception/imu_pipeline into hydro-devel
  * Added imu_integrator.
  * Merge pull request #2 <https://github.com/ros-perception/imu_pipeline/issues/2> from ros-perception/groovy-devel
    Updated packaged name to imu_pipeline
  * Updated packaged name to imu_pipeline
  * Catkinized, updated for Groovy.
  * Initial github commit
  * Initial commit

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 29 Jul 2013 04:00:00 -0000

=== debian/control ===
Source: ros-noetic-imu-pipeline
Section: misc
Priority: optional
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/imu_pipeline
Standards-Version: 3.9.2

Package: ros-noetic-imu-pipeline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-imu-processors, ros-noetic-imu-transformer
Description: imu_pipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-imu-pipeline//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
